> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# documenttemplatelanguage

> MDO Provider for Document Template langauges.

## "documenttemplatelanguage" MDO List

MDO Provider for Document Template langauges.

ExtraInfo is used to decide which document template to fetch alternatives for.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.DocumentTemplateLanguageProvider">DocumentTemplateLanguageProvider</see> class.
The name of the MDO list is 'documenttemplatelanguage'.

## Additional Attributes

| Description          | Name | Example Value |
| -------------------- | ---- | ------------- |
| Document template id |      | 23            |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/documenttemplatelanguage
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("documenttemplatelanguage", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "documenttemplatelanguageheadings"
* "documenttemplatelanguageheadingswithallitem"
* "documenttemplatelanguageheadingswithallitemwithnoselection"
* "documenttemplatelanguageheadingswithnoselection"
* "documenttemplatelanguagewithallitem"
* "documenttemplatelanguagewithallitemwithnoselection"
* "documenttemplatelanguagewithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
